Re: [code] [textadept] Textadept 7.0

From: Robert Gieseke <rob.g.att.web.de>
Date: Tue, 05 Nov 2013 08:24:23 +0100

Am 11/5/13, 5:16 AM, schrieb Rena:
>> Linux x86-64 build doesn't work for me. Freshly unpacked, throws errors:
>>> $ ./textadept
>>> /home/rena/.textadept/modules/textadept/editing.lua:110: attempt to call
>>> method 'get_lexer' (a nil
[]
>>>
>>> also displays an error message: /home/rena/.textadept/init.lua:10: too
>>> many
>>> C levels (limit is 200) in main function near 'package'
>>>
>>
>> The source of your error appears to be coming from your init.lua on line
>> 10. If you'd like help debugging it, feel free to post it here or reply to
>> me off-list.

> It's the default init.lua (like I said, freshly unpacked); line 10 doesn't
> even contain any function calls.

There have been lots of changes in the transition from 6.6 to 7.0 [1].
In your local configuration directory in /home/rena/.textadept/ are
likely some deprecated function calls causing the errors. You could
start by renaming your .textadept, then Textadept will create a clean
new one.

Hope this helps,
Robert

[1] http://foicica.com/textadept/14_Appendix.html#Textadept.6.to.7

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Tue 05 Nov 2013 - 02:24:23 EST

This archive was generated by hypermail 2.2.0 : Tue 05 Nov 2013 - 06:26:10 EST